<div class="dropdown is-hoverable is-left">
    <div class="dropdown-trigger">
        <button class="button is-primary is-inverted pr-1" aria-haspopup="true" aria-controls="index-menu"
            title="Index">
            <span class="icon is-primary">
                <span class="material-icons">
                    menu
                </span>
            </span>
            <span>INDEX</span>
        </button>
    </div>
    <div class="dropdown-menu" id="index-menu" role="menu">
        <div class="dropdown-content">
            {{ $currentPage := . }}
            {{ if .Params.Chapter }}
            {{ range $group := .Parent.Pages.GroupByParam "chapter" }}
            <div class="dropdown-item"><b>{{ .Key }}</b></div>
            {{ range $page := $group.Pages.ByWeight }}
            {{ if eq $currentPage.Title .Title }}
            <a class="dropdown-item is-active" href="{{ .Permalink }}">{{ .Weight }}. {{ .Title }}</a>
            {{ else }}
            <a class="dropdown-item" href="{{ .Permalink }}">{{ .Weight }}. {{ .Title }}</a></li>
            {{ end }}
            {{ end }}
            <hr class="dropdown-divider" />
            {{ end }}
            <a class="dropdown-item" href="{{ .Parent.Permalink }}">
                Back to <b>{{ .Parent.Title }}</b> Index
            </a>
            {{ else }}
            {{ range $page := .Parent.Pages.ByWeight }}
            {{ if eq $currentPage.Title .Title }}
            <a class="dropdown-item is-active" href="{{ .Permalink }}">{{ .Title }}</a>
            {{ else }}
            <a class="dropdown-item" href="{{ .Permalink }}">{{ .Title }}</a></li>
            {{ end }}
            {{ end }}
            <hr class="dropdown-divider" />
            <a class="dropdown-item" href="{{ .Parent.Permalink }}">
                Back to <b>{{ .Parent.Title }}</b> Index
            </a>
            {{ end }}
        </div>
    </div>
</div>